[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TNotebook.ShowControl

Displays the specified control (page object).

## Declaration

Source position: extctrls.pp line 138

`public procedure TNotebook.ShowControl(`
`AControl: TControl`
`); override;`

## Arguments

`AControl` |  | Page object to display in the notebook control.

## Description

ShowControl is an overridden procedure used to display the control specified in AControl. ShowControl checks the internal list of pages for the value specified in AControl. The ordinal position for the page object, when found, is assigned to the PageIndex property and causes the page object to become visible.

ShowControl calls the inherited method prior to exit.

Remark: | No actions are performed in the method when AControl is the same as the control stored in the ActivePageComponent property.

## See also

TNotebook.Page |  | Provides access to a page object in the notebook control by its ordinal position in the list of pages.
TNotebook.PageIndex |  | Ordinal position for the active page in the notebook control.
TNotebook.ActivePageComponent |  | Contains the TPage instance representing the active page in the notebook control.